{% extends 'base.html.twig' %}

{% block title %}Game index{% endblock %}

{% block body %}
    <h1>Game index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Title</th>
                <th>Description</th>
                <th>Created_at</th>
                <th>Sales_number</th>
            </tr>
        </thead>
        <tbody>
        {% for game in games %}
            <tr>
                <td>{{ game.id }}</td>
                <td>{{ game.title }}</td>
                <td>{{ game.description }}</td>
                <td>{{ game.createdAt ? game.createdAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ game.salesNumber }}</td>
                <td><img src="../uploads/brochures/{{ game.image }}" alt="">
</td>
                <td>
                    <a href="{{ path('game_show', {'id': game.id}) }}">show</a>
                    <a href="{{ path('game_edit', {'id': game.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <div class="create-new">
        <a href="{{ path('game_new') }}">Create new</a>
    </div>
{% endblock %}
